Go to the latest version of this document.

# ``twisted`.`web`.`client`.`BrowserLikePolicyForHTTPS``

class documentation

`class BrowserLikePolicyForHTTPS: (source)`

Constructor: `BrowserLikePolicyForHTTPS(trustRoot)`

Implements interfaces: `twisted.web.iweb.IPolicyForHTTPS`

View In Hierarchy

SSL connection creator for web clients.

Method | `__init__` | Undocumented
Method | `creatorForNetloc` | Create a `client connection creator` for a given network location.
Instance Variable | `_trustRoot` | Undocumented

def __init__(self, trustRoot=None): (source)

Undocumented

@_requireSSL
def creatorForNetloc(self, hostname, port): (source)
from `twisted.web.iweb.IPolicyForHTTPS`

Create a `client connection creator` for a given network location.

Parameters
hostname:`bytes` | The hostname part of the URI.
port:`int` | The port part of the URI.

Returns
`client connection creator` | a connection creator with appropriate verification restrictions set

_trustRoot = (source)

Undocumented